Enchant Generic spell checking library

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
DictionaryCheck_TestFixture Struct Reference
Inheritance diagram for DictionaryCheck_TestFixture:
[legend]
Collaboration diagram for DictionaryCheck_TestFixture:
[legend]

## Public Types
typedef std::multimap< EnchantDict *, std::string > | AddedWordsByDict

## Public Member Functions
virtual void | ReleaseDictionary (EnchantDict *dict)
bool | IsWordInDictionary (const std::string &word)
bool | AddWordToDictionary (const std::string &word)
bool | AddWordToDictionary (EnchantDict *dict, const std::string &word)
Public Member Functions inherited from Provider_TestFixture
std::string | Convert (const std::wstring &ws)
std::wstring | Convert (const std::string &s)
EnchantDict * | GetDefaultDictionary ()
EnchantDict * | GetDictionary (const char *language)

## Static Public Member Functions
static bool | IsWordInDictionary (EnchantDict *dict, const std::string &word)

## Public Attributes
EnchantDict * | _dict
const char * | _provider_name
AddedWordsByDict | _addedWordsByDict
Public Attributes inherited from Provider_TestFixture
EnchantProvider * | _provider

The documentation for this struct was generated from the following file:

- tests/enchant_providers/Dictionary/dictionary_check.cpp